Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Interface OamTimerValMBean

public abstract interface OamTimerValMBean

This interface represents an individual SS7 timer. The maximum and minimum range for a particular timer can be set at construction. Once created, the maximum and minimum range for the timer value cannot be changed. When changing the current value of the timer, the supplied value is checked to see if it falls within the maximum and minimum range. A collection of these timer values can then be stored for each Protocol Layer in the OAM Timer ProfileMBean for that particular layer.

Inheritance hierarchy for JAIN OAM Timer

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Method Summary
`java.lang.Long` | `getCurrentVal()` This method gets the current value for this timer in milliseconds.
`java.lang.Long` | `getMaxVal()` This method gets the maximum value for this timer in milliseconds.
`java.lang.Long` | `getMinVal()` This method gets the minimum value for this timer in milliseconds.
`java.lang.Integer` | `getTimerId()` Returns the ID of the this timer value.
`java.lang.Boolean` | `setCurrentVal(java.lang.Long currentVal)` This method sets the current value for this timer in milliseconds.

Method Detail

### getMaxVal

    public java.lang.Long getMaxVal()

  This method gets the maximum value for this timer in milliseconds.

### getMinVal

    public java.lang.Long getMinVal()

  This method gets the minimum value for this timer in milliseconds.

### setCurrentVal

    public java.lang.Boolean setCurrentVal(java.lang.Long currentVal)

  This method sets the current value for this timer in milliseconds. If the supplied value falls within the minimum and maximum range for the timer, the value is changed and the method returns true. If the supplied value lies outside the range, then the value remains unchanged and the method returns false.
  Returns:

    - true if the value has been changed
    - false if the supplied value lies outside the range of this timer (the value remains unchanged).

### getCurrentVal

    public java.lang.Long getCurrentVal()

  This method gets the current value for this timer in milliseconds.

### getTimerId

    public java.lang.Integer getTimerId()

  Returns the ID of the this timer value. The IDs of each timer are defined in the appropriate OamTimerProfile.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems